Package org.apache.solr.common.util

## Class WrappedSimpleMap<T>

- java.lang.Object
- - org.apache.solr.common.util.WrappedSimpleMap<T>

All Implemented Interfaces:
  `SimpleMap<T>`, `MapSerializable`, `MapWriter`, `NavigableObject`

    public class WrappedSimpleMap<T>
    extends Object
    implements SimpleMap<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`WrappedSimpleMap​(Map<String,​T> delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​T>` `asMap()`
`Map<String,​T>` `asMap​(Map<String,​T> sink)`
`void` `forEachEntry​(BiConsumer<String,​? super T> fun)` Navigate through all keys and values
`T` `get​(String key)` get a value by key.
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.cluster.api.SimpleMap

`abortableForEach, abortableForEachKey, forEachKey, get, writeMap`

### Constructor Detail

#### WrappedSimpleMap

    public WrappedSimpleMap​(Map<String,​T> delegate)

### Method Detail

#### get

    public T get​(String key)

Description copied from interface: `SimpleMap`
get a value by key. If not present , null is returned

Specified by:
  `get` in interface `SimpleMap<T>`

#### forEachEntry

    public void forEachEntry​(BiConsumer<String,​? super T> fun)

Description copied from interface: `SimpleMap`
Navigate through all keys and values

Specified by:
  `forEachEntry` in interface `SimpleMap<T>`

#### size

    public int size()

Specified by:
  `size` in interface `SimpleMap<T>`

#### asMap

    public Map<String,​T> asMap​(Map<String,​T> sink)

Specified by:
  `asMap` in interface `SimpleMap<T>`

#### asMap

    public Map<String,​T> asMap()

Specified by:
  `asMap` in interface `SimpleMap<T>`